## org.apache.poi.hslf.usermodel
Class ObjectData

    java.lang.Object
      org.apache.poi.hslf.usermodel.ObjectData

    public class ObjectData

extends java.lang.Object

A class that represents object data embedded in a slide show.

Author:
  Daniel Noll

Constructor Summary
`ObjectData(ExOleObjStg storage)` Creates the object data wrapping the record that contains the object data.

Method Summary
`java.io.InputStream` `getData()` Gets an input stream which returns the binary of the embedded data.
`ExOleObjStg` `getExOleObjStg()` Return the record that contains the object data.
`void` `setData(byte[] data)` Sets the embedded data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectData

    public ObjectData(ExOleObjStg storage)

  Creates the object data wrapping the record that contains the object data.

  Parameters:
    `storage` - the record that contains the object data.

Method Detail

### getData

    public java.io.InputStream getData()

  Gets an input stream which returns the binary of the embedded data.

  Returns:
    the input stream which will contain the binary of the embedded data.

### setData

    public void setData(byte[] data)
                 throws java.io.IOException

  Sets the embedded data.

  Parameters:
    `data` - the embedded data.
  Throws:
    `java.io.IOException`

### getExOleObjStg

    public ExOleObjStg getExOleObjStg()

  Return the record that contains the object data.

  Returns:
    the record that contains the object data.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.